uudoc(1)

NAME
uudoc - Remove (unlink) the FILE(s)

SYNOPSIS
uudoc [-f|--force] [-i ] [-I ] [--interactive] [--one-file-system] [--no-preserve-root] [--preserve-root] [-r|--recursive] [-d|--dir] [-v|--verbose] [-g|--progress] [-h|--help] [-V|--version] [files]

DESCRIPTION
Remove (unlink) the FILE(s)

OPTIONS

-f, --force
    ignore nonexistent files and arguments, never prompt

-i  prompt before every removal

-I  prompt once before removing more than three files, or when removing recursively. Less intrusive than -i, while still giving some protection against most mistakes

--interactive[=<WHEN>]
    prompt according to WHEN: never, once (-I), or always (-i). Without WHEN, prompts always
    [possible values: always, once, never]

--one-file-system
    when removing a hierarchy recursively, skip any directory that is on a file system different from that of the corresponding command line argument (NOT IMPLEMENTED)

--no-preserve-root
    do not treat '/' specially

--preserve-root
    do not remove '/' (default)

-r, --recursive
    remove directories and their contents recursively

-d, --dir
    remove empty directories

-v, --verbose
    explain what is being done

-g, --progress
    display a progress bar. Note: this feature is not supported by GNU coreutils.

-h, --help
    Print help

-V, --version
    Print version

[files]

EXTRA
Examples Remove specific files: rm {{path/to/file1 path/to/file2 ...}} Remove specific files ignoring nonexistent ones: rm {{[-f|--force]}} {{path/to/file1 path/to/file2 ...}} Remove specific files interactively prompting before each removal: rm {{[-i|--interactive]}} {{path/to/file1 path/to/file2 ...}} Remove specific files printing info about each removal: rm {{[-v|--verbose]}} {{path/to/file1 path/to/file2 ...}} Remove specific files and directories recursively: rm {{[-r|--recursive]}} {{path/to/file_or_directory1 path/to/file_or_directory2 ...}} Remove empty directories (this is considered the safe method): rm {{[-d|--dir]}} {{path/to/directory}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0